---
updatedAt: 2026-08-12T10:13:51.000Z
---

# Validations/Error Codes

> 📘 Note
>
> If there are no deals, or all deals are filtered out by query criteria, status code 200 will be returned with an empty deal list in the response.

[block:parameters]
{
  "data": {
    "h-0": "Error Code",
    "h-1": "Message",
    "h-2": "Description",
    "0-0": "200",
    "0-1": "OK",
    "0-2": "Upon a successful GET, PUT, or DELETE request.",
    "1-0": "201",
    "1-1": "Created",
    "1-2": "Upon a successful POST request.",
    "2-0": "401",
    "2-1": "Unauthorized",
    "2-2": "Incorrect, missing, or invalid access credentials.",
    "3-0": "404",
    "3-1": "Not Found",
    "3-2": "The resource you requested is not available.",
    "4-0": "405",
    "4-1": "Method Not Allowed",
    "4-2": "A request was made of a resource using a request method not supported by that resource; for example, using GET on a method which requires data to be sent by POST, or using PUT on a read-only resource.",
    "5-0": "408",
    "5-1": "Request Timeout",
    "5-2": "Timeout when processing this request, usually caused by concurrent requests of exclusive access to certain resources. We recommend retrying the request when you receive this status.",
    "6-0": "422",
    "6-1": "Unprocessable Entity",
    "6-2": "Invalid resource. This error happens when the request body is invalid, or the created/updated resource is invalid.",
    "7-0": "500",
    "7-1": "Internal Server Error",
    "7-2": "API system error.  \n  \nContact your DSP account team.",
    "8-0": "4000",
    "8-1": "The account id is invalid",
    "8-2": "The account ID refers to your particular seat ID.",
    "9-0": "4020",
    "9-1": "Deal ID does not exist",
    "9-2": "The correct seat ID needs to be assigned."
  },
  "cols": 3,
  "rows": 10,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

# Error Handling

## POST /deal\_assignments **Assign a Creative to a Deal**

| Error Code | Message                                                                                                                                                                     | Description                                                                                                                                  |
| :--------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------- |
| 404        | The Deal ID doesn’t exist in the seller network or the Deal is part of a Shared External Deal ID, please contact with your seller to use the correct Deal ID for this deal. | The DSP tries to create a deal assignment with **Shared** External Deal ID enabled, but instead submits the External Deal ID in the request. |
| 422        | User does not have permission to assign this creative to a PMP deal for this particular network. Please reach out to your account team to enable this.                      | The publisher does not have the pre-approval network function enabled.                                                                       |
| 422        | User does not have permission to assign this creative to this particular PMP deal.                                                                                          | The DSP assigned ads to a particular deal that does not have the pre-approval permission enabled.                                            |
| 422        | User does not have permission to assign this creative to all PMP deals.                                                                                                     | The DSP does not have the PMP deal Demand Creative API permission.                                                                           |
| 422        | User does not have permission to assign this creative to all PG deals.                                                                                                      | The DSP does not have the PG deal Demand Creative API permission.                                                                            |

<br>

## DELETE /deal\_assignments **Delete a Creative's Deal Assignments**

| Error Code | Message                                                                                                                                                                     | Description                                                                                                                                  |
| :--------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------- |
| 404        | The Deal ID doesn’t exist in the seller network or the Deal is part of a Shared External Deal ID, please contact with your seller to use the correct Deal ID for this deal. | The DSP tries to delete a deal assignment with **Shared** External Deal ID enabled, but instead submits the External Deal ID in the request. |